import os
import sys
import unittest

# kinda hackish but it makes it possible to runi under ctest 
sys.path.append(os.getcwd())

import mussa

class TestMussa(unittest.TestCase):
  def testSimple(self):
    s1 = mussa.Sequence("A"*10)
    s2 = mussa.Sequence("GG"+"A"*10)
    s3 = mussa.Sequence("A"*10)
    m = mussa.Mussa()
    m.window = 10
    m.threshold = 10
    m.add_sequence(s1)
    m.add_sequence(s2)
    m.add_sequence(s3)
    m.analyze()
    # this could probably be a more thorough test
    paths = m.paths()
    self.failUnlessEqual( len(paths), 1 )
    pathz_list = [ x for x in paths.pathz ]
    self.failUnlessEqual( len(paths), len(pathz_list) )

def suite():
  return unittest.makeSuite(TestMussa, 'test')

if __name__ == "__main__":
  sys.exit(unittest.main(defaultTest='suite'))
