#ifndef _SCROLLABLE_SEQUENCE_BROWSER_H_
#define _SCROLLABLE_SEQUENCE_BROWSER_H_

#include <QScrollBar>
#include <QWidget>
#include "qui/seqbrowser/SequenceBrowser.hpp"

class ScrollableSequenceBrowser : public QWidget
{
  Q_OBJECT 

public:
  ScrollableSequenceBrowser(QWidget *parent=0);
  SequenceBrowser *sequence_browser;

  SequenceBrowser& browser() { return *sequence_browser; }
  const SequenceBrowser& browser() const { return *sequence_browser; }
public slots:
  //! update the scrollbar with current viewport information
  void updateScrollBar();
  //! update scene with the properly scalled scrollbar offset
  void setViewportCenter(int x);

private:
  QScrollBar *viewportBar;
  int thumb;

  float range;
  float scale;
};

#endif
