#ifndef GUIPROXY_HPP_
#define GUIPROXY_HPP_

#include "alg/mussa.hpp"
#include "qui/MussaWindow.hpp"

#include <list>

class GuiProxy;
typedef boost::shared_ptr<GuiProxy> GuiProxyRef;
class GuiProxy : public QObject {
  Q_OBJECT
  
public:
  //! default
  GuiProxy();
  //! initialize from master
  GuiProxy(GuiProxy *);
  GuiProxy(const GuiProxy &o);
  
signals:
  void create_mussa_window_signal(GuiProxy *);

public slots:
  void create_mussa_window(MussaRef m);
  void create_mussa_window(GuiProxy *);
private: 
  GuiProxy *master;
  MussaRef analysis;
  std::list<MussaWindow *> windows;
};

void MussaWindowProxy(MussaRef);
#endif /*GUIPROXY_HPP_*/
